Summary:	Atari Jaguar Emulator
Name:		virtualjaguar
Version:	2.0.2
Release:	%mkrel 3
Group:		Emulators
License:	GPLv3
URL:		http://boycottadvance.emuunlim.com/
Source0:	http://www.icculus.org/virtualjaguar/tarballs/%{name}-%{version}.tar.bz2
Patch0:		001-mga-virtualjaguar_2.0.2-fix_link_to_libz.patch
Patch1:		002-virtualjaguar-2.0.2-mga-add_unistd.h.patch
BuildRequires:	SDL-devel
BuildRequires:	qt4-devel
BuildRequires:	zlib-devel
BuildRequires:	mesagl-devel
BuildRequires:	libcdio-devel

%description
Virtual Jaguar is software dedicated to emulating the Atari Jaguar hardware on
a standard PC. The software was originally developed by David Raingeard of
Potato Emulation and was released under the GPL on 25 June 2003.

Virtual Jaguar GCC/Qt is not just a port of the MS Visual C++/SDL source code
but has also been extended and rewritten so that we can enjoy Atari Jaguar
emulation on every platform that has a GCC compiler and a port of Qt.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
#Since 2.0.2, build breaks when using %make macro because of -j2 parameter
#so we use make directly for now
make

%install

%__mkdir_p %{buildroot}%{_bindir}
%__install -m 755 %{name} %{buildroot}%{_bindir}/%{name}

%__mkdir_p %{buildroot}%{_datadir}/pixmaps
%__install -m 644 res/vj.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm

%__mkdir_p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Virtual Jaguar
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;Emulator;
EOF

%files
%doc docs/*
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/%{name}.desktop



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 2.0.2-3.mga3
+ Revision: 385426
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 juancho <juancho> 2.0.2-2.mga3
+ Revision: 326736
- Added patch to include unistd.h in mainwin.cpp to fix build.

* Tue Jan 10 2012 juancho <juancho> 2.0.2-1.mga2
+ Revision: 194425
- Updated to 2.0.2

* Sun Nov 20 2011 juancho <juancho> 2.0.1-1.mga2
+ Revision: 169644
- imported package virtualjaguar

